com.mysql.cj.protocol

## Interface OutputStreamWatcher

    public interface OutputStreamWatcher

Objects that want to be notified of lifecycle events on a WatchableOutputStream should implement this interface, and register themselves with setWatcher() on the WatchableOutputStream instance.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `streamClosed(WatchableStream out)` Called when the OutputStream being watched has .close() called

### Method Detail

#### streamClosed

    void streamClosed(WatchableStream out)

Called when the OutputStream being watched has .close() called

Parameters:
  `out` - `WatchableStream`

Copyright © 2016, 2026, Oracle and/or its affiliates.